<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/fileimportwindow.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">fileimportwindow.h</div></div>
</div><!--header-->
<div class="contents">
<a href="fileimportwindow_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef FILEIMPORTWINDOW_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define FILEIMPORTWINDOW_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;QMainWindow&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;QMainWindow&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;QMenuBar&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespace_ui.html">Ui</a> {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="keyword">class </span><a class="code hl_class" href="class_file_import_window.html">FileImportWindow</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>}</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="foldopen" id="foldopen00013" data-start="{" data-end="};">
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="class_file_import_window.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="class_file_import_window.html">FileImportWindow</a> : <span class="keyword">public</span> QMainWindow</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    Q_OBJECT</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="keyword">explicit</span> <a class="code hl_function" href="class_file_import_window.html#a3d27470f17025c8ea6c0c349ec7de81e">FileImportWindow</a>(QWidget *parent = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <a class="code hl_function" href="class_file_import_window.html#a3b4aa87d5801efe60183c10845c6345f">~FileImportWindow</a>();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_file_import_window.html#acc179bd19dd776cde7d7872db27c73fe">dragEnterEvent</a>(QDragEnterEvent *e);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_file_import_window.html#a68338c76ca24d2deaab300b11248322b">dropEvent</a>(QDropEvent *e);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    QString <a class="code hl_function" href="class_file_import_window.html#a6ae3f22a83155d3444a70ae776f533d9">fileName</a>() <span class="keyword">const</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span><span class="keyword">private</span> slots:</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_file_import_window.html#acda0dcfed8ea900fb79989d3309ead5f">openFile</a>();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="class_file_import_window.html#a2bcf1e58aa4e7b0fd2b2f8cdac9f2c6f">   28</a></span>    Ui::FileImportWindow *<a class="code hl_variable" href="class_file_import_window.html#a2bcf1e58aa4e7b0fd2b2f8cdac9f2c6f">ui</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="class_file_import_window.html#aa3f3d7345d0f4a3f75c7abf6b69a82e5">   29</a></span>    QString <a class="code hl_variable" href="class_file_import_window.html#aa3f3d7345d0f4a3f75c7abf6b69a82e5">_fileName</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="class_file_import_window.html#a68c17c7e47c29f4d3a73f0e5f220f389">   31</a></span>    QMenuBar *<a class="code hl_variable" href="class_file_import_window.html#a68c17c7e47c29f4d3a73f0e5f220f389">menuBar</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>};</div>
</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="preprocessor">#endif </span><span class="comment">// FILEIMPORTWINDOW_H</span></div>
<div class="ttc" id="aclass_file_import_window_html"><div class="ttname"><a href="class_file_import_window.html">FileImportWindow</a></div><div class="ttdef"><b>Definition</b> fileimportwindow.h:14</div></div>
<div class="ttc" id="aclass_file_import_window_html_a2bcf1e58aa4e7b0fd2b2f8cdac9f2c6f"><div class="ttname"><a href="class_file_import_window.html#a2bcf1e58aa4e7b0fd2b2f8cdac9f2c6f">FileImportWindow::ui</a></div><div class="ttdeci">Ui::FileImportWindow * ui</div><div class="ttdef"><b>Definition</b> fileimportwindow.h:28</div></div>
<div class="ttc" id="aclass_file_import_window_html_a3b4aa87d5801efe60183c10845c6345f"><div class="ttname"><a href="class_file_import_window.html#a3b4aa87d5801efe60183c10845c6345f">FileImportWindow::~FileImportWindow</a></div><div class="ttdeci">~FileImportWindow()</div><div class="ttdef"><b>Definition</b> fileimportwindow.cpp:69</div></div>
<div class="ttc" id="aclass_file_import_window_html_a3d27470f17025c8ea6c0c349ec7de81e"><div class="ttname"><a href="class_file_import_window.html#a3d27470f17025c8ea6c0c349ec7de81e">FileImportWindow::FileImportWindow</a></div><div class="ttdeci">FileImportWindow(QWidget *parent=nullptr)</div><div class="ttdef"><b>Definition</b> fileimportwindow.cpp:10</div></div>
<div class="ttc" id="aclass_file_import_window_html_a68338c76ca24d2deaab300b11248322b"><div class="ttname"><a href="class_file_import_window.html#a68338c76ca24d2deaab300b11248322b">FileImportWindow::dropEvent</a></div><div class="ttdeci">void dropEvent(QDropEvent *e)</div><div class="ttdef"><b>Definition</b> fileimportwindow.cpp:40</div></div>
<div class="ttc" id="aclass_file_import_window_html_a68c17c7e47c29f4d3a73f0e5f220f389"><div class="ttname"><a href="class_file_import_window.html#a68c17c7e47c29f4d3a73f0e5f220f389">FileImportWindow::menuBar</a></div><div class="ttdeci">QMenuBar * menuBar</div><div class="ttdef"><b>Definition</b> fileimportwindow.h:31</div></div>
<div class="ttc" id="aclass_file_import_window_html_a6ae3f22a83155d3444a70ae776f533d9"><div class="ttname"><a href="class_file_import_window.html#a6ae3f22a83155d3444a70ae776f533d9">FileImportWindow::fileName</a></div><div class="ttdeci">QString fileName() const</div><div class="ttdef"><b>Definition</b> fileimportwindow.cpp:29</div></div>
<div class="ttc" id="aclass_file_import_window_html_aa3f3d7345d0f4a3f75c7abf6b69a82e5"><div class="ttname"><a href="class_file_import_window.html#aa3f3d7345d0f4a3f75c7abf6b69a82e5">FileImportWindow::_fileName</a></div><div class="ttdeci">QString _fileName</div><div class="ttdef"><b>Definition</b> fileimportwindow.h:29</div></div>
<div class="ttc" id="aclass_file_import_window_html_acc179bd19dd776cde7d7872db27c73fe"><div class="ttname"><a href="class_file_import_window.html#acc179bd19dd776cde7d7872db27c73fe">FileImportWindow::dragEnterEvent</a></div><div class="ttdeci">void dragEnterEvent(QDragEnterEvent *e)</div><div class="ttdef"><b>Definition</b> fileimportwindow.cpp:33</div></div>
<div class="ttc" id="aclass_file_import_window_html_acda0dcfed8ea900fb79989d3309ead5f"><div class="ttname"><a href="class_file_import_window.html#acda0dcfed8ea900fb79989d3309ead5f">FileImportWindow::openFile</a></div><div class="ttdeci">void openFile()</div><div class="ttdef"><b>Definition</b> fileimportwindow.cpp:57</div></div>
<div class="ttc" id="anamespace_ui_html"><div class="ttname"><a href="namespace_ui.html">Ui</a></div><div class="ttdef"><b>Definition</b> dynamicui.h:13</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
